{% extends 'animeflix_app/pages/video.html' %}
{% load static %}

{% block genreFilter %}

    <form action="{% url 'v_genre' %}" method="get" id="genresForm">
        <div class="d-grid col-6 mx-auto my-2">
            <a href="{% url 'v_genre' %}?genres=All" type="button" class="btn btn-outline-success"
               id="checkAllCategories">
                Search all genres
            </a>
        </div>
        <div class="container d-flex gap-2 flex-wrap mt-2">
            {#      <div class="container d-flex justify-content-evenly flex-wrap mt-2">#}

            {% for g in genres %}
                {% if g %}
                    <div class="btn-group mb-2" role="group" aria-label="Basic checkbox toggle button group">
                        <input type="checkbox" class="btn-check mb-1 " id="btncheck_{{ g }}" name="genres"
                               value="{{ g }}">
                        <label class="btn btn-outline-primary" for="btncheck_{{ g }}">{{ g }}</label>
                    </div>
                {% endif %}
            {% endfor %}
        </div>

        <div class="d-grid col-6 mx-auto">
            <button type="submit" id="genreFilterButton" class="btn btn-outline-success">Search</button>
        </div>
    </form>
{% endblock %}

{% block loadMoreButton %}
    <div class="d-grid gap-2 col-6 mx-auto mt-3">
        <button id="loadMoreData" data-limit="{{ anime_limit }}" type="button"
                class="btn btn-primary btn-sm">load more
        </button>
    </div>
{% endblock %}

{% block selectedGenres %}
    const genres = {{ selected_genres|safe }};
{% endblock %}

{% block selectedGenresAjax %}
    genres
{% endblock %}
